<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE indexpage SYSTEM "./style/sitemap.dtd">
<?xml-stylesheet type="text/xsl" href="./style/manual.fr.xsl"?>
<!-- French translation : Lucien GENTIS -->
<!-- Reviewed by : Vincent Deffontaines -->
<!-- English Revision: 1807765 -->

<!--
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->

<indexpage metafile="index.xml.meta">
<parentdocument href="http://httpd.apache.org/docs-project/" />

<title>Documentation du Serveur HTTP Apache Version &httpd.major;.&httpd.minor;
</title>

<category id="release"><title>Notes de version</title>
    <page href="new_features_2_4.html">Nouvelles fonctionnalités dApache 2.3/2.4</page>
    <page href="new_features_2_2.html">Nouvelles fonctionnalités d'Apache 2.1/2.2</page>
    <page href="new_features_2_0.html.fr">Nouvelles fonctionnalités d'Apache 2.0</page>
    <page href="upgrading.html">Mise à jour de la version 2.2 vers la version 2.4</page>
    <page href="license.html">Licence Apache</page>
</category>

<category id="manual"><title>Manuel de référence</title>
    <page href="install.html">Compilation et installation</page>
    <page href="invoking.html">Démarrage</page>
    <page href="stopping.html">Arrêt ou redémarrage</page>
    <page href="mod/quickreference.html">Directives de configuration à l'exécution</page>
    <page href="mod/">Modules</page>
    <page href="mpm.html">Modules multi-processus (MPMs)</page>
    <page href="filter.html">Filtres</page>
    <page href="handler.html">Gestionnaires</page>
    <page href="expr.html">Interpréteur d'expressions</page>
    <page href="mod/overrides.html">Index des directives disponibles dans les
    fichiers .htaccess</page>
    <page href="programs/">Le serveur et ses utilitaires</page>
    <page href="glossary.html">Glossaire</page>
</category>

<category id="usersguide"><title>Guide de l'utilisateur</title>
    <page href="getting-started.html">Bien démarrer</page>
    <page href="bind.html">Ecoute sélective</page>
    <page href="configuring.html">Fichiers de configuration</page>
    <page href="sections.html">Sections de configuration</page>
    <page href="caching.html">Mise en cache du contenu</page>
    <page href="content-negotiation.html">Négociation sur le contenu</page>
    <page href="dso.html">Objets Dynamiques Partagés (DSO)</page>
    <page href="env.html">Variables d'environnement</page>
    <page href="logs.html">Fichiers de traces</page>
    <page href="urlmapping.html">Mise en correspondance des URLs avec le système de fichiers</page>
    <page href="misc/perf-tuning.html">Optimisation des performances</page>
    <page href="misc/security_tips.html">Conseils sur la sécurité</page>
    <page href="server-wide.html">Configuration à l'échelle du serveur</page>
    <page href="ssl/">Chiffrement SSL/TLS</page>
    <page href="suexec.html">Exécution des CGI avec suexec</page>
    <page href="rewrite/">Réécriture des URLs avec mod_rewrite</page>
    <page href="vhosts/">Hôtes virtuels</page>
</category>

<category id="howto"><title>Recettes / Tutoriels</title>
    <page href="howto/auth.html">Authentification et autorisation</page>
    <page href="howto/access.html">Contrôle d'accès</page>
    <page href="howto/cgi.html">CGI: Contenu dynamique</page>
    <page href="howto/htaccess.html">Fichiers .htaccess</page>
    <page href="howto/ssi.html">Server Side Includes (SSI)</page>
    <page href="howto/public_html.html">Répertoires Web des utilisateurs (public_html)</page>
    <page href="howto/reverse_proxy.html">Guide de configuration des mandataires
    inverses</page>
    <page href="howto/http2.html">Guide HTTP/2</page>
</category>

<category id="platform"><title>Notes spécifiques aux différentes plateformes</title>
    <page href="platform/windows.html">Microsoft Windows</page>
    <page href="platform/rpm.html">Systèmes basés sur les paquet RPM (Redhat / CentOS / Fedora)</page>
    <page href="platform/netware.html">Novell NetWare</page>
    <page href="platform/ebcdic.html">Portage EBCDIC</page>
</category>

<category id="other"><title>Autres sujets</title>
    <page href="http://wiki.apache.org/httpd/FAQ">Foire Aux Questions</page>
    <page href="sitemap.html">Plan du site</page>
    <page href="developer/">Documentation du développeur</page>
    <page href="http://httpd.apache.org/docs-project/">Aide pour la
    documentation</page>
    <page href="misc/">Autres notes</page>
    <page href="http://wiki.apache.org/httpd/">Wiki</page>
</category>

</indexpage>

